<?php
/**
 * Zoo Safari functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Zoo Safari
 */

/* Enqueue script and styles */

function zoo_safari_enqueue_google_fonts() {

	require_once get_theme_file_path( 'includes/wptt-webfont-loader.php' );

	wp_enqueue_style(
		'lilita-one',
		zoo_safari_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Lilita+One&display=swap' ),
		array(),
		'1.0'
	);
	
	wp_enqueue_style(
		'poppins',
		zoo_safari_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap' ),
		array(),
		'1.0'
	);

}
add_action( 'wp_enqueue_scripts', 'zoo_safari_enqueue_google_fonts' );

if (!function_exists('zoo_safari_enqueue_scripts')) {

	function zoo_safari_enqueue_scripts() {

		wp_enqueue_style(
			'bootstrap-css',
			get_template_directory_uri() . '/assets/css/bootstrap.css',
			array(),'4.5.0'
		);

		wp_enqueue_style(
			'fontawesome-css',
			get_template_directory_uri() . '/assets/css/fontawesome-all.css',
			array(),'4.5.0'
		);

		wp_enqueue_style('zoo-safari-style', get_stylesheet_uri(), array() );

		wp_enqueue_style(
			'zoo-safari-responsive-css',
			get_template_directory_uri() . '/assets/css/responsive.css',
			array(),'2.3.4'
		);

		wp_enqueue_script(
			'zoo-safari-navigation',
			get_template_directory_uri() . '/assets/js/navigation.js',
			FALSE,
			'1.0',
			TRUE
		);

		wp_enqueue_script(
			'zoo-safari-script',
			get_template_directory_uri() . '/assets/js/script.js',
			array('jquery'),
			'1.0',
			TRUE
		);

		wp_enqueue_script(
			'zoo-safari-custom',
			get_template_directory_uri() . '/assets/js/custom.js',
			array('jquery'),
			'1.0',
			TRUE
		);

		wp_enqueue_style( 'slick-style',get_template_directory_uri().'/assets/css/slick.css' );
		
		wp_enqueue_script( 'slick-js',get_template_directory_uri(). '/assets/js/slick.js', array('jquery') ,'',true);

		wp_enqueue_style( 'animate-css', esc_url(get_template_directory_uri()).'/assets/css/animate.css' );

		wp_enqueue_script( 'wow-js', esc_url(get_template_directory_uri()) . '/assets/js/wow.js', array('jquery') );

		require get_parent_theme_file_path( '/includes/color-setting/custom-color-control.php' );
		wp_add_inline_style( 'zoo-safari-style',$zoo_safari_theme_custom_setting_css );

		if ( is_singular() ) wp_enqueue_script( 'comment-reply' );

		$css = '';

		if ( get_header_image() ) :

			$css .=  '
				.header-image-box{
					background-image: url('.esc_url(get_header_image()).') !important;
					-webkit-background-size: cover !important;
					-moz-background-size: cover !important;
					-o-background-size: cover !important;
					background-size: cover !important;
					height: 650px;
				    display: flex;
				    align-items: center;
				}';

		endif;

		wp_add_inline_style( 'zoo-safari-style', $css );

	}

	add_action( 'wp_enqueue_scripts', 'zoo_safari_enqueue_scripts' );

}

/* Setup theme */

if (!function_exists('zoo_safari_after_setup_theme')) {

	function zoo_safari_after_setup_theme() {

		load_theme_textdomain( 'zoo-safari', get_template_directory() . '/languages' );

		if ( ! isset( $content_width ) ) $content_width = 900;

		register_nav_menus( array(
			'responsive-menu' => esc_html__( 'Responsive menu', 'zoo-safari' ),
			'left-menu' => esc_html__( 'Left menu', 'zoo-safari' ),
			'right-menu' => esc_html__( 'Right menu', 'zoo-safari' ),
		));

		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'align-wide' );
		add_theme_support('title-tag');
		add_theme_support('automatic-feed-links');
		add_theme_support( 'wp-block-styles' );
		add_theme_support('post-thumbnails');
		add_theme_support( 'custom-background', array(
		  'default-color' => 'f3f3f3'
		));

		add_theme_support( 'custom-logo', array(
			'height'      => 130,
			'width'       => 130,
		) );
	
		add_theme_support( 'custom-header', array(
			'default-image' => get_parent_theme_file_uri( '/assets/images/default-header-image.png' ),
			'width' => 1920,
			'flex-width' => true,
			'height' => 400,
			'flex-height' => true,
			'header-text' => false,
		)); 

		register_default_headers( array(
			'default-image' => array(
				'url'           => '%s/assets/images/default-header-image.png',
				'thumbnail_url' => '%s/assets/images/default-header-image.png',
				'description'   => __( 'Default Header Image', 'zoo-safari' ),
			),
		) );

		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_editor_style( array( '/assets/css/editor-style.css' ) );
	
		global $pagenow;
		
		if ( is_admin() && $pagenow === 'themes.php' && (!isset($_GET['page']) || $_GET['page'] !== 'zoo_safari_about')) {
            add_action('admin_notices', 'zoo_safari_activation_notice');
        }

	}

	add_action( 'after_setup_theme', 'zoo_safari_after_setup_theme', 999 );

}

function zoo_safari_activation_notice() {
	$zoo_safari_meta = get_option( 'zoo_safari_admin_notice' );
	if (!$zoo_safari_meta) {
			echo '<div id="zoo-safari-welcome-notice" class="notice notice-info wpele-activation-notice is-dismissible">';
			echo '<div class="notice-body">';
				echo '<div class="notice-content">';
					echo '<h2>'. esc_html__( 'Welcome to WPElemento', 'zoo-safari' ) .'</h2>';
					echo '<p>'. esc_html__( 'Thank you for choosing Zoo Safari theme .To setup the theme, please visit the get started page.', 'zoo-safari' ) .'</p>';
					echo '<span><a href="'. esc_url( admin_url( 'themes.php?page=zoo_safari_about' ) ) .'" class="button button-notice">'. esc_html__( 'GET STARTED', 'zoo-safari' ) .'</a></span>';
					echo '<span><a href="'. esc_url( ZOO_SAFARI_BUY_NOW ) .'" class="button button-notice" target="_blank" >'. esc_html__( 'BUY NOW', 'zoo-safari' ) .'</a></span>';
					echo '<span><a href="'. esc_url( ZOO_SAFARI_LIVE_DEMO ) .'" class="button button-notice" target="_blank" >'. esc_html__( 'DEMO', 'zoo-safari' ) .'</a></span>';
				echo '</div>';
				echo '<div class="notice-icon">';
					echo '<img src="'.esc_url(get_template_directory_uri()).'/includes/getstart/images/get-logo.png ">';
				echo '</div>';
			echo '</div>';
		echo '</div>';
	}
}
/* Get post comments */

if (!function_exists('zoo_safari_comment')) :
    /**
     * Template for comments and pingbacks.
     *
     * Used as a callback by wp_list_comments() for displaying the comments.
     */
    function zoo_safari_comment($comment, $args, $depth){

        if ('pingback' == $comment->comment_type || 'trackback' == $comment->comment_type) : ?>

            <li id="comment-<?php comment_ID(); ?>" <?php comment_class('media'); ?>>
            <div class="comment-body">
                <?php esc_html_e('Pingback:', 'zoo-safari');
                comment_author_link(); ?><?php edit_comment_link(__('Edit', 'zoo-safari'), '<span class="edit-link">', '</span>'); ?>
            </div>

        <?php else : ?>

        <li id="comment-<?php comment_ID(); ?>" <?php comment_class(empty($args['has_children']) ? '' : 'parent'); ?>>
            <article id="div-comment-<?php comment_ID(); ?>" class="comment-body media mb-4">
                <a class="pull-left" href="#">
                    <?php if (0 != $args['avatar_size']) echo get_avatar($comment, $args['avatar_size']); ?>
                </a>
                <div class="media-body">
                    <div class="media-body-wrap card">
                        <div class="card-header">
                            <h5 class="mt-0"><?php /* translators: %s: author */ printf('<cite class="fn">%s</cite>', get_comment_author_link() ); ?></h5>
                            <div class="comment-meta">
                                <a href="<?php echo esc_url(get_comment_link($comment->comment_ID)); ?>">
                                    <time datetime="<?php comment_time('c'); ?>">
                                        <?php /* translators: %s: Date */ printf( esc_html__('%1$s at %2$s','zoo-safari'), esc_html( get_comment_date() ), esc_html( get_comment_time() ) ); ?>
                                    </time>
                                </a>
                                <?php edit_comment_link( __( 'Edit', 'zoo-safari' ), '<span class="edit-link">', '</span>' ); ?>
                            </div>
                        </div>

                        <?php if ('0' == $comment->comment_approved) : ?>
                            <p class="comment-awaiting-moderation"><?php esc_html_e('Your comment is awaiting moderation.', 'zoo-safari'); ?></p>
                        <?php endif; ?>

                        <div class="comment-content card-block">
                            <?php comment_text(); ?>
                        </div>

                        <?php comment_reply_link(
                            array_merge(
                                $args, array(
                                    'add_below' => 'div-comment',
                                    'depth' => $depth,
                                    'max_depth' => $args['max_depth'],
                                    'before' => '<footer class="reply comment-reply card-footer">',
                                    'after' => '</footer><!-- .reply -->'
                                )
                            )
                        ); ?>
                    </div>
                </div>
            </article>

            <?php
        endif;
    }
endif; // ends check for zoo_safari_comment()

if (!function_exists('zoo_safari_widgets_init')) {

	function zoo_safari_widgets_init() {

		register_sidebar(array(

			'name' => esc_html__('Sidebar','zoo-safari'),
			'id'   => 'zoo-safari-sidebar',
			'description'   => esc_html__('This sidebar will be shown next to the content.', 'zoo-safari'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Page Sidebar','zoo-safari'),
			'id'   => 'sidebar-2',
			'description'   => esc_html__('This sidebar will be shown next to the content.', 'zoo-safari'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Sidebar three','zoo-safari'),
			'id'   => 'sidebar-3',
			'description'   => esc_html__('This sidebar will be shown on blog pages.', 'zoo-safari'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Footer sidebar 1','zoo-safari'),
			'id'   => 'footer1-sidebar',
			'description'   => esc_html__('It appears in the footer 1.', 'zoo-safari'),
			'before_widget' => '<aside id="%1$s" class="%2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Footer sidebar 2','zoo-safari'),
			'id'   => 'footer2-sidebar',
			'description'   => esc_html__('It appears in the footer 2.', 'zoo-safari'),
			'before_widget' => '<aside id="%1$s" class="%2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Footer sidebar 3','zoo-safari'),
			'id'   => 'footer3-sidebar',
			'description'   => esc_html__('It appears in the footer 3.', 'zoo-safari'),
			'before_widget' => '<aside id="%1$s" class="%2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Footer sidebar 4','zoo-safari'),
			'id'   => 'footer4-sidebar',
			'description'   => esc_html__('It appears in the footer 4.', 'zoo-safari'),
			'before_widget' => '<aside id="%1$s" class="%2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

	}

	add_action( 'widgets_init', 'zoo_safari_widgets_init' );

}

function zoo_safari_the_breadcrumb() {
	if (!is_home()) {
		echo '<a href="';
		echo esc_url( home_url() );
		echo '">';
		bloginfo('name');
		echo "</a> >> ";
		if (is_category() || is_single()) {
			the_category(' , ');
			if (is_single()) {
				echo " >> ";
				the_title();
			}
		} elseif (is_page()) {
			the_title();
		}
	}
}

add_filter( 'woocommerce_single_product_image_thumbnail_html', function( $html ) {
    return '<div class="product-img">' . $html . '</div>';
});

/**
 * Change number or products per row to 4
 */
add_filter('loop_shop_columns', 'zoo_safari_loop_columns', 999);
if (!function_exists('zoo_safari_loop_columns')) {
	function zoo_safari_loop_columns() {
		return get_theme_mod( 'zoo_safari_products_per_row', '4' ); 
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'zoo_safari_products_per_page' );
function zoo_safari_products_per_page( $cols ) {
  	return  get_theme_mod( 'zoo_safari_products_per_page',8);
}

function zoo_safari_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}

function zoo_safari_enqueue_setting() {

define('ZOO_SAFARI_FREE_THEME_DOC',__('https://preview.wpelemento.com/theme-documentation/zoo-safari/','zoo-safari'));
define('ZOO_SAFARI_SUPPORT',__('https://wordpress.org/support/theme/zoo-safari/','zoo-safari'));
define('ZOO_SAFARI_REVIEW',__('https://wordpress.org/support/theme/zoo-safari/reviews/','zoo-safari'));
define('ZOO_SAFARI_BUY_NOW',__('https://www.wpelemento.com/products/safari-wordpress-theme','zoo-safari'));
define('ZOO_SAFARI_LIVE_DEMO',__('https://preview.wpelemento.com/zoo-safari/','zoo-safari'));
define('ZOO_SAFARI_THEME_BUNDLE',__('https://www.wpelemento.com/products/wordpress-theme-bundle','zoo-safari'));

require get_template_directory() .'/includes/tgm/tgm.php';
require get_template_directory() . '/includes/customizer.php';
load_template( trailingslashit( get_template_directory() ) . '/includes/go-pro/class-upgrade-pro.php' );

/* Plugin Activation */
require get_template_directory() . '/includes/getstart/plugin-activation.php';

/* Implement the About theme page */
require get_template_directory() . '/includes/getstart/getstart.php';

require get_template_directory() . '/includes/product-create.php';

if( class_exists( 'Whizzie' ) ) {
	$Whizzie = new Whizzie();
}

}
add_action('after_setup_theme', 'zoo_safari_enqueue_setting');

function zoo_safari_dismissed_notice() {
	update_option( 'zoo_safari_admin_notice', true );
}
add_action( 'wp_ajax_zoo_safari_dismissed_notice', 'zoo_safari_dismissed_notice' );

add_action('after_switch_theme', 'zoo_safari_getstart_setup_options');
function zoo_safari_getstart_setup_options () {
    update_option('zoo_safari_admin_notice', false );
}

?>